- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QPictureFormatPlugin Class Reference

Search for all occurrences

## Detailed Description

Definition at line 73 of file qpictureformatplugin.h.

`#include <qpictureformatplugin.h>`

Inheritance diagram for QPictureFormatPlugin:
[legend]

List of all members.

## Public Member Functions
| QPictureFormatPlugin (QObject *parent=0)
| ~QPictureFormatPlugin ()
virtual QStringList | keys () const =0
virtual bool | loadPicture (const QString &format, const QString &filename, QPicture *pic)
virtual bool | savePicture (const QString &format, const QString &filename, const QPicture &pic)
virtual bool | installIOHandler (const QString &format)=0

## Constructor & Destructor Documentation

QPictureFormatPlugin | ( | QObject * | parent = `0` | ) | `[explicit]`

~QPictureFormatPlugin | ( |  | ) |

## Member Function Documentation

virtual QStringList keys | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implements QFactoryInterface.

virtual bool loadPicture | ( | const QString & | format,
|  | const QString & | filename,
|  | QPicture * | pic
| ) |  | `[virtual]`

Search for all occurrences

Implements QPictureFormatInterface.

virtual bool savePicture | ( | const QString & | format,
|  | const QString & | filename,
|  | const QPicture & | pic
| ) |  | `[virtual]`

Search for all occurrences

Implements QPictureFormatInterface.

virtual bool installIOHandler | ( | const QString & | format | ) | `[pure virtual]`

Search for all occurrences

Implements QPictureFormatInterface.

The documentation for this class was generated from the following file:

- QtGui/qpictureformatplugin.h

QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin
QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin QPictureFormatPlugin